package com.bweb.model;

import com.alibaba.excel.annotation.ExcelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class ExportOutRechargeOrder {

    @ExcelProperty("订单号")
    private String orderNo;

    @ExcelProperty("运营商")
    private String operatorName;

    @ExcelProperty("充值方式")
    private String rechargeTypeName;

    @ExcelProperty("支付方式")
    private String payTypeName;

    @ExcelProperty("工会卡")
    private String laborUnionCard;

    @ExcelProperty("充值内容")
    private String rechargeContent;

    @ExcelProperty("充值金额")
    private BigDecimal rechargePrice;

    @ExcelProperty("应付金额")
    private BigDecimal payPrice;

    @ExcelProperty("优惠券抵扣金额")
    private BigDecimal discountDeductionPrice;

    @ExcelProperty("积分抵扣金额")
    private BigDecimal integralDeductionPrice;

    @ExcelProperty("支付金额")
    private BigDecimal payRealPrice;

    @ExcelProperty("用户昵称")
    private String userName;

    @ExcelProperty("用户联系方式")
    private String userPhone;

    @ExcelProperty("创建时间")
    private Date createTime;

    @ExcelProperty("支付时间")
    private Date payTime;

    @ExcelProperty("支付状态")
    private String payStatusName;

    @ExcelProperty("充值状态")
    private String rechargeStatusName;

    @ExcelProperty("退款时间")
    private Date refundTime;

    // 错误消息
    private String errorMessage;


    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getRechargeTypeName() {
        return rechargeTypeName;
    }

    public void setRechargeTypeName(String rechargeTypeName) {
        this.rechargeTypeName = rechargeTypeName;
    }

    public String getPayTypeName() {
        return payTypeName;
    }

    public void setPayTypeName(String payTypeName) {
        this.payTypeName = payTypeName;
    }

    public String getRechargeContent() {
        return rechargeContent;
    }

    public void setRechargeContent(String rechargeContent) {
        this.rechargeContent = rechargeContent;
    }

    public BigDecimal getRechargePrice() {
        return rechargePrice;
    }

    public void setRechargePrice(BigDecimal rechargePrice) {
        this.rechargePrice = rechargePrice;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public BigDecimal getDiscountDeductionPrice() {
        return discountDeductionPrice;
    }

    public void setDiscountDeductionPrice(BigDecimal discountDeductionPrice) {
        this.discountDeductionPrice = discountDeductionPrice;
    }

    public BigDecimal getIntegralDeductionPrice() {
        return integralDeductionPrice;
    }

    public void setIntegralDeductionPrice(BigDecimal integralDeductionPrice) {
        this.integralDeductionPrice = integralDeductionPrice;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public String getPayStatusName() {
        return payStatusName;
    }

    public void setPayStatusName(String payStatusName) {
        this.payStatusName = payStatusName;
    }

    public String getRechargeStatusName() {
        return rechargeStatusName;
    }

    public void setRechargeStatusName(String rechargeStatusName) {
        this.rechargeStatusName = rechargeStatusName;
    }

    public String getLaborUnionCard() {
        return laborUnionCard;
    }

    public void setLaborUnionCard(String laborUnionCard) {
        this.laborUnionCard = laborUnionCard;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }
}
